import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/scooter_order.dart';

import '../entities/client_subscription.dart';
import '../repositories/scooter_repository.dart';


import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/subscription.dart';

import '../repositories/scooter_repository.dart';

class GetClientSubscriptionsUsecase {
  final ScooterRepository repository;

  GetClientSubscriptionsUsecase(this.repository);

  Future<Result<List<ClientSubscription>>> call() {
    return repository.getClientSubscriptions();
  }
}
